Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
HOWTO: Install freenx
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 23, 24, 25 ... 28, 29, 30  Next  
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks
View previous topic :: View next topic  
Author Message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Sun Jul 16, 2006 9:01 pm    Post subject: Reply with quote

*sigh* Does anyone want to help me write a patch to make nxspool compile with gcc4? I think I am going to work on the pertty patches for a bit to clear my mind. :)

Cheers.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
mana
Tux's lil' helper
Tux's lil' helper


Joined: 04 Apr 2005
Posts: 75
Location: Berlin

PostPosted: Tue Jul 18, 2006 10:51 am    Post subject: Reply with quote

Hez Guzs!

Some time sicne i posted here what, i guess is a good thing. But now problems arised:

I am currentlz using the latest freenx ebuild from portage. Since the updates to modular-x keyboard-layout changes are not possible, i get the default pc101 us.
If i trz to set it via commandline i get:

setxkbmap de
Couldn't interpret _XKB_RULES_NAMES property
Use defaults: rules - 'xorg' model - 'pc101' layout - 'us'
*** glibc detected *** free(): invalid pointer: 0xb7feeca0 ***

i tried a solution that was posted in freenx mailing list: http://lists.kde.org/?l=freenx-knx&m=114245766609832&w=2
and after that setxkbmap tells me "Error loading new keyboard description" .. i created the xfree86 symlinks from to xorg-rules stuff but it doesnt help.
So evensmilies dont work thats verz bad!

mazbe y know a solution to my problem.
Ah one more comment, using the 2.0 nxclient on ubuntu i have the german layout by default and it works, so i guess the problem is kind of related with the windows-client and my xorg.

have a nice day (smilie)
mana
_________________
Mein Freund, der Baum, ist tot. Er starb im frühen Morgenrot.
Back to top
View user's profile Send private message
martijntje
n00b
n00b


Joined: 29 Nov 2005
Posts: 39

PostPosted: Mon Jul 24, 2006 7:08 pm    Post subject: Reply with quote

Can someone help me with getting nxagent to run. I am using a 64-bit system, and as i read some other people encountered, it can't locate some libraries it needs.

I have, of course, installed the nx-x11-bin packages. This is the output ldd gives me:

Quote:
$ ldd /usr/NX/bin/nxagent
linux-gate.so.1 => (0xffffe000)
libXext.so.6 => /emul/linux/x86/usr/lib/libXext.so.6 (0xf7f0f000)
libX11.so.6 => /emul/linux/x86/usr/lib/libX11.so.6 (0xf7e20000)
libm.so.6 => /lib32/libm.so.6 (0xf7dfd000)
libXpm.so.4 => /emul/linux/x86/usr/lib/libXpm.so.4 (0xf7ded000)
libXrender.so.1 => /emul/linux/x86/usr/lib/libXrender.so.1 (0xf7de4000)
libc.so.6 => /lib32/libc.so.6 (0xf7cce000)
libXcompext.so.1 => not found
libXcomp.so.1 => not found
libXau.so.6 => /emul/linux/x86/usr/lib/libXau.so.6 (0xf7cca000)
libXdmcp.so.6 => /emul/linux/x86/usr/lib/libXdmcp.so.6 (0xf7cc5000)
libdl.so.2 => /lib32/libdl.so.2 (0xf7cc1000)
/lib/ld-linux.so.2 (0xf7f36000)


I do have a file called libXcompext.so.1 on my system, however, nxagent doesn't seem to be able to find it. I tried symlinking to help it, but to no avail.

Quote:
$ ls -l /usr/NX/*/libXcompext.so.1*
lrwxrwxrwx 1 root root 26 Jul 23 23:31 /usr/NX/lib/libXcompext.so.1 -> lib32/libXcompext.so.1.5.0
lrwxrwxrwx 1 root root 20 Jul 24 19:25 /usr/NX/lib32/libXcompext.so.1 -> libXcompext.so.1.5.0
-rwxr-xr-x 1 root root 85364 Jul 24 19:25 /usr/NX/lib32/libXcompext.so.1.5.0
lrwxrwxrwx 1 root root 26 Jul 23 23:31 /usr/NX/lib64/libXcompext.so.1 -> lib32/libXcompext.so.1.5.0


What more can i do?
Back to top
View user's profile Send private message
QkEterror
n00b
n00b


Joined: 12 Jun 2004
Posts: 48

PostPosted: Wed Jul 26, 2006 7:32 am    Post subject: Reply with quote

StifflerStealth wrote:
*sigh* Does anyone want to help me write a patch to make nxspool compile with gcc4? I think I am going to work on the pertty patches for a bit to clear my mind. :)

Cheers.


I really would like to help you, but I haven't got an idea how. I've got some programming experience, but not with this kind of stuff. If you can use my help anyhow, just tell me what to do. :)
Back to top
View user's profile Send private message
JoKo
Tux's lil' helper
Tux's lil' helper


Joined: 16 May 2004
Posts: 141
Location: Xanthi, Greece

PostPosted: Sat Jul 29, 2006 8:03 pm    Post subject: Reply with quote

martijntje wrote:
Can someone help me with getting nxagent to run. I am using a 64-bit system, and as i read some other people encountered, it can't locate some libraries it needs.

I have, of course, installed the nx-x11-bin packages. This is the output ldd gives me:

Quote:
$ ldd /usr/NX/bin/nxagent
linux-gate.so.1 => (0xffffe000)
libXext.so.6 => /emul/linux/x86/usr/lib/libXext.so.6 (0xf7f0f000)
libX11.so.6 => /emul/linux/x86/usr/lib/libX11.so.6 (0xf7e20000)
libm.so.6 => /lib32/libm.so.6 (0xf7dfd000)
libXpm.so.4 => /emul/linux/x86/usr/lib/libXpm.so.4 (0xf7ded000)
libXrender.so.1 => /emul/linux/x86/usr/lib/libXrender.so.1 (0xf7de4000)
libc.so.6 => /lib32/libc.so.6 (0xf7cce000)
libXcompext.so.1 => not found
libXcomp.so.1 => not found
libXau.so.6 => /emul/linux/x86/usr/lib/libXau.so.6 (0xf7cca000)
libXdmcp.so.6 => /emul/linux/x86/usr/lib/libXdmcp.so.6 (0xf7cc5000)
libdl.so.2 => /lib32/libdl.so.2 (0xf7cc1000)
/lib/ld-linux.so.2 (0xf7f36000)


I do have a file called libXcompext.so.1 on my system, however, nxagent doesn't seem to be able to find it. I tried symlinking to help it, but to no avail.

Quote:
$ ls -l /usr/NX/*/libXcompext.so.1*
lrwxrwxrwx 1 root root 26 Jul 23 23:31 /usr/NX/lib/libXcompext.so.1 -> lib32/libXcompext.so.1.5.0
lrwxrwxrwx 1 root root 20 Jul 24 19:25 /usr/NX/lib32/libXcompext.so.1 -> libXcompext.so.1.5.0
-rwxr-xr-x 1 root root 85364 Jul 24 19:25 /usr/NX/lib32/libXcompext.so.1.5.0
lrwxrwxrwx 1 root root 26 Jul 23 23:31 /usr/NX/lib64/libXcompext.so.1 -> lib32/libXcompext.so.1.5.0


What more can i do?

I have exactly the same problem and no one seems to know a solution. I've tried setting the LDPATH, but it appears that libXcompext.so.1 is 32-bit and can be found, whereas libXcomp.so.1 is 64-bit and cannot work... So, still no solution for AMD64 users...
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Sun Jul 30, 2006 5:49 pm    Post subject: Reply with quote

For the record, that ldd output issue is a known one. However, any issues that you have with any of the nx files are not related to that output. :) You cannot run nxagent on it's own, so don't even try. It is meant to be called by a server or a script (check nxscripts for more info on that) and only those things. You cannot run it on it's own. The ldd output is flawed when it comes to these programs. It doesn't even list the right directory for the x11 libs. Those libs are in /usr/NX/lib. ;) Something is done in the server and the scripts that sets up the right path at runtime. I know this is weird, but it works. If you have errors, it due to something else.

If you have amd64, check your nxloadconfig to see if the path is /usr/NX/lib32, if it is, then change it to /usr/NX/lib. This is one known fix. :) NX components were never meant to play nice with 64 bit archs. :( There are projects that are going on to make them more friendly and I am following them. :D Hopefully they succeed.

Personally, I cannot wait until NX 3.0.0 is released. That is suppose to be based on xorg 7.x so hopefully all the xorg 7 bugs go away. *crosses fingers* And then hopefully it can be split easier. If you look at the ebuilds in the overlay on http://overlays.gentoo.org/ you will see that the ebuilds contain multiple components of NX, and that's due to the fact that some just cannot be separated away from each other. With 3.0.0, I am hoping to have each one as a separate ebuild completely. You may notice that I did have some components separated out with nx 1.5.0, but that is a lot of work to do and I was since all of them can't be separated, I so no benefit in just having a few separated. That's just me though. I will listen to any argument for separating what I can out of the ebuilds. :) These ebuilds are in testing and can change, so I need your input. Also, another change that you may notice is that nxclient is now a dependency. If you absolutely do not want nxclient installed, then emerge nxclient-base (all the dependencies of the nxclient binary) and change nxnode to have a depend on nxclient-base. I did this because the NoMachine servers need it, and because FreeNX actually likes the nxclient to draw the shutdown messages. ;) And because there is now a free NoMachine server. I had to make FreeNX and NoMachine play nice with each other. ;) You can unmerge FreeNX and emerge the NoMachine server and it will work. Before, FreeNX overwrote some of the files and not all files were installed that NoMAchine needed, another words, it was a mess. :P This is a different kind of mess now. :P

Today I finally tracked down how to compile nxspool with gcc4.x. :D I am happy about that. Surprisingly, it's a simple fix. I also have some other fixes in there. And let's hope they still work after build bumps. :P

TODO: Make lots and lots of ebuilds still. *sigh*
Make the current ebuilds use the tarballs instead of the rpms. :D
Fix any outstanding bugs that I have been putting off ... *cough*
Make the FreeNX ebuild for 0.6.0_pre detect nx backend 2.0.0 and make the needed changes to the config files.
Update the FreeNX 0.6.0_pre ebuild to the newest snapshot
Start a new thread. :P
Anything else you all can think of. :)

I hope this is some good information.

Oh, to try out the overlay:
1) Make an overlay: /usr/local/portage/nx for example. Make sure you have that in the make.conf file as well.
2) check out the current svn: svn co http://overlays.gentoo.org/svn/proj/nx/testing /usr/local/portage/nx
3) Emerge and enjoy. :)

Or, you can use layman. :P

Cheers.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 8:41 pm    Post subject: Reply with quote

Is this overlay current with the latest release from nomachine (july 27th)?

I will try the nx 2 and let you know how it went.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 9:17 pm    Post subject: Reply with quote

I have a question:

Code:
$ emerge -pv nxserver-freenx

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[blocks B     ] net-misc/nxproxy (is blocking net-misc/nxclient-2.0.0)
[blocks B     ] net-misc/nxproxy (is blocking net-misc/nxclient-base-2.0.0)
[blocks B     ] net-misc/nxssh (is blocking net-misc/nxclient-base-2.0.0)
[blocks B     ] net-misc/nx-x11 (is blocking net-misc/nxclient-base-2.0.0)
[blocks B     ] net-misc/nxssh (is blocking net-misc/nxclient-2.0.0)
[blocks B     ] net-misc/nx-x11 (is blocking net-misc/nxclient-2.0.0)
[ebuild     U ] media-libs/jpeg-6b-r7 [6b-r6] to /opt/portage/ 21 kB
[ebuild     U ] sys-libs/lib-compat-1.4.1 [1.3] to /opt/portage/ +sdl 3,093 kB
[ebuild  N    ] net-misc/nxclient-base-2.0.0  to /opt/portage/ +alsa -debug +esd +ipv6 -pam +tcpd 2,238 kB [2]
[ebuild     U ] dev-libs/openssl-0.9.7j [0.9.7i] to /opt/portage/ -bindist -emacs -test +zlib 3,213 kB
[ebuild  N    ] net-misc/nxclient-2.0.0  to /opt/portage/ +cups +esd -prebuilt 3,392 kB [2]
[ebuild     U ] net-misc/nxserver-freenx-0.6.0_alpha20060711 [0.4.3] to /opt/portage/ +arts +cups +esd 53 kB [2]

It wants to remove nx-x11 package. But I don't see an equivalent package emerged. Where does nxagent come from in NX 2.0?

On another box,
Code:
$ emerge -pv nxserver-freenx

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] dev-tcltk/expect-5.43.0  USE="X -doc" 513 kB
[ebuild  N    ] sys-libs/lib-compat-1.4.1  USE="sdl" 3,093 kB
[ebuild  N    ] net-misc/nxclient-base-2.0.0  USE="alsa esd pam tcpd -debug -ipv6" 2,238 kB [2]
[ebuild  N    ] net-misc/nxclient-2.0.0  USE="cups esd -prebuilt" 3,392 kB [2]
[ebuild  N    ] x11-libs/libFS-1.0.0  USE="-debug -ipv6" 231 kB
[ebuild  N    ] x11-misc/gccmakedep-1.0.2  USE="-debug" 68 kB
[ebuild  N    ] net-misc/nxcomp-1.5.0-r2  513 kB
[ebuild  N    ] net-misc/nx-x11-1.5.0-r8  USE="rdesktop -vnc" 32,772 kB
[ebuild  N    ] net-misc/nxserver-freenx-0.6.0_alpha20060711  USE="arts cups esd" 53 kB [2]


It wants to emerge nx-x11 from 1.5.

This looks like a problem with the ebuild.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 9:44 pm    Post subject: Reply with quote

Found another bug:

Created file /etc/env.d/50nxpaths

Code:
NXDIR=/usr/NX
PATH=/bin
ROOTPATH=/bin
CONFIG_PROTECT="/etc /home"
...

/usr/NX is missing from PATH, ROOTPATH,CONFIG_PROTECT etc. The reason is cat expand ${NXDIR} which is not defined in current shell.

patch for ebuild:

Code:
$ diff -u nxclient-base-2.0.0.ebuild.orig nxclient-base-2.0.0.ebuild
--- nxclient-base-2.0.0.ebuild.orig     2006-07-30 14:36:43.000000000 -0700
+++ nxclient-base-2.0.0.ebuild  2006-07-30 14:39:21.000000000 -0700
@@ -141,11 +141,11 @@
        # install environment variables
        cat <<EOF > ${T}/50nxpaths
 NXDIR=/usr/NX
-PATH=${NXDIR}/bin
-ROOTPATH=${NXDIR}/bin
-CONFIG_PROTECT="${NXDIR}/etc ${NXDIR}/home"
-PRELINK_PATH_MASK=${NXDIR}
-SEARCH_DIRS_MASK=/usr/NX
+PATH=\${NXDIR}/bin
+ROOTPATH=\${NXDIR}/bin
+CONFIG_PROTECT="\${NXDIR}/etc \${NXDIR}/home"
+PRELINK_PATH_MASK=\${NXDIR}
+SEARCH_DIRS_MASK=\${NXDIR}
 EOF
        doenvd ${T}/50nxpaths
 }
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 9:51 pm    Post subject: Reply with quote

Found the answer to my nx-x11 problem. Its part of the nxnode package. I wonder why there is no dep from nxserver-freenx on nxnode? Can freenx work without nxagent? I doubt that... :)
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 10:05 pm    Post subject: Reply with quote

another patch:

Code:
$ diff -u nxnode-base-2.0.0.ebuild.orig nxnode-base-2.0.0.ebuild
--- nxnode-base-2.0.0.ebuild.orig       2006-07-30 15:04:10.000000000 -0700
+++ nxnode-base-2.0.0.ebuild    2006-07-30 15:04:14.000000000 -0700
@@ -75,7 +75,7 @@
 
 src_compile() {
        # builds: nxcomp, nxcompext, nx-x11, nxauth, nxagent
-       cd nx-x11
+       cd nx-X11
        emake World || die "Unable to build nx-X11"
 
        # build nxsensor
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 10:23 pm    Post subject: Reply with quote

another one modified:

This is towards the end of nxnode-fix-nxcomp-paths.patch in nxnode-base. I lost the original patch otherwise I would have attached a patch on the patch. Sorry. Please replace the last two hulks with this.

Code:
diff -purN nxnode.orig/nx-X11/programs/Xserver/os/Imakefile nxnode/nx-X11/programs/Xserver/os/Imakefile
--- nxnode.orig/nx-X11/programs/Xserver/os/Imakefile    2006-06-19 09:21:26.000000000 -0500
+++ nxnode/nx-X11/programs/Xserver/os/Imakefile 2006-07-30 10:14:29.000000000 -0500
@@ -25,7 +25,7 @@ XCOMM $Xorg: Imakefile,v 1.3 2000/08/17

 #if NXLibraries

-NX_INCLUDES = -I../../../../nxcomp
+NX_INCLUDES = -I/usr/NX/include

 NX_DEFINES = -DNX_TRANS_SOCKET        \
              -DNX_TRANS_AUTH          \
diff -purN nxnode.orig/nxcompext/Makefile.in nxnode/nxcompext/Makefile.in
--- nxnode.orig/nxcompext/Makefile.in   2006-07-30 14:52:35.000000000 -0700
+++ nxnode/nxcompext/Makefile.in        2006-07-30 14:58:00.000000000 -0700
@@ -31,17 +31,17 @@ CXX         = @CXX@
 CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
               -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
               -Wmissing-declarations -Wnested-externs -fPIC
-CXXINCLUDES = -I. -I../nxcomp
+CXXINCLUDES = -I. -I/usr/NX/include
 CXXDEFINES  =

 CC          = @CC@
 CCFLAGS     = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
               -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
               -Wmissing-declarations -Wnested-externs -fPIC
-CCINCLUDES  = -I. -I../nxcomp
+CCINCLUDES  = -I. -I/usr/NX/include
 CCDEFINES   =

-LDFLAGS     = @LDFLAGS@ -L../nxcomp
+LDFLAGS     = @LDFLAGS@ -L/usr/NX/lib
 LIBS        = @LIBS@ -lz -lX11 -lXcomp

 #
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 11:25 pm    Post subject: Reply with quote

the nxnode-fix-nxcomp-paths.patch patch in the overlay has a bug wherein -I/usr/NX/lib should be -I/usr/NX/include.

Here is the new patch:

Code:
$ cat nxnode-fix-nxcomp-paths.patch
diff -purN nxnode.orig/nx-X11/lib/X11/Imakefile nxnode/nx-X11/lib/X11/Imakefile
--- nxnode.orig/nx-X11/lib/X11/Imakefile        2006-06-19 09:20:43.000000000 -0500
+++ nxnode/nx-X11/lib/X11/Imakefile     2006-07-30 10:07:47.000000000 -0500
@@ -22,9 +22,9 @@ XCOMM $XFree86: xc/lib/X11/Imakefile,v 3
 #if NXLibraries
 
 #ifdef SunArchitecture
-NX_INCLUDES = -I../../../nxcomp -I/usr/sfw/include
+NX_INCLUDES = -I/usr/NX/include -I/usr/sfw/include
 #else
-NX_INCLUDES = -I../../../nxcomp
+NX_INCLUDES = -I/usr/NX/include
 #endif
 
 NX_DEFINES = -DNX_TRANS_SOCKET
@@ -36,18 +36,12 @@ NX_DEFINES = -DNX_TRANS_SOCKET
 #            -DNX_TRANS_TEST      \
 #            -DNX_TRANS_DEBUG     \
 
-NX_XCOMPCONFIGTARGET = ../../../nxcomp/config.status
 NX_XCOMPEXTCONFIGTARGET = ../../../nxcompext/config.status
 
-#ifdef cygwinArchitecture
-NX_XCOMPLIBTARGET = ../../../nxcomp/cygXcomp.dll
-NX_XCOMPEXTLIBTARGET = ../../../nxcompext/cygXcompext.dll
-#else
-NX_XCOMPLIBTARGET = ../../../nxcomp/libXcomp.so
+NX_XCOMPLIBTARGET = /usr/NX/lib/libXcomp.so
 NX_XCOMPEXTLIBTARGET = ../../../nxcompext/libXcompext.so
-#endif
 
-NX_REQUIREDLIBS =  -L../../../nxcomp -lXcomp
+NX_REQUIREDLIBS =  -L/usr/NX/lib -lXcomp
 
 #endif
 
@@ -1119,27 +1113,15 @@ includes:: ks_tables.h
 
 #if NXLibraries
 
-$(NX_XCOMPCONFIGTARGET):
-       cd ../../../nxcomp && \
-       ./configure
-
 $(NX_XCOMPEXTCONFIGTARGET):
        cd ../../../nxcompext && \
        ./configure
 
 #ifdef SunArchitecture
-$(NX_XCOMPLIBTARGET): $(NX_XCOMPCONFIGTARGET)
-       cd ../../../nxcomp && \
-       gmake
-
 $(NX_XCOMPEXTLIBTARGET): $(NX_XCOMPEXTCONFIGTARGET)
        cd ../../../nxcompext && \
        gmake
 #else
-$(NX_XCOMPLIBTARGET): $(NX_XCOMPCONFIGTARGET)
-       cd ../../../nxcomp && \
-       make
-
 $(NX_XCOMPEXTLIBTARGET): $(NX_XCOMPEXTCONFIGTARGET)
        cd ../../../nxcompext && \
        make
diff -purN nxnode.orig/nx-X11/programs/Xserver/Imakefile nxnode/nx-X11/programs/Xserver/Imakefile
--- nxnode.orig/nx-X11/programs/Xserver/Imakefile       2006-06-19 09:21:04.000000000 -0500
+++ nxnode/nx-X11/programs/Xserver/Imakefile    2006-07-30 10:13:30.000000000 -0500
@@ -1396,9 +1396,9 @@ $(NXAGENTOBJS) $(NXAGENTLIBS) $(NXAGENTS
  */
 
 #if defined(SunArchitecture)
-NXAGENTNXLIBS = -L ../../../nxcomp -L ../../../nxcompext -lXcomp -lXcompext -lrt -L/usr/sfw/lib -lXrender
+NXAGENTNXLIBS = -L /usr/NX/lib -L ../../../nxcompext -lXcomp -lXcompext -lrt -L/usr/sfw/lib -lXrender
 #else
-NXAGENTNXLIBS = -L ../../../nxcomp -L ../../../nxcompext -lXcomp -lXcompext -lXrender -lX11 -lXext
+NXAGENTNXLIBS = -L /usr/NX/lib -L ../../../nxcompext -lXcomp -lXcompext -lXrender -lX11 -lXext
 #endif
 
 #endif
@@ -1553,7 +1553,7 @@ NXWINOBJS = $(NXWINDDXDIR)/stubs.o $(NXW
 NXWINLIBS = PreFbLibs $(NXWINLIB) FbPostFbLibs $(LAYER) $(SHADOW) \
            $(XWINPARSERLIB)
 NXWINSYSLIBS = $(FONTLIBS) $(LDPRELIBS) $(XLIB) $(SYSLIBS) -lgdi32 -lddraw
-NXWINNXLIBS = -L../../../nxcomp -lXcomp
+NXWINNXLIBS = -L/usr/NX/lib -lXcomp
 
 /*
  * These flags cause NXWin.exe to be a Windows executable, which
diff -purN nxnode.orig/nx-X11/programs/Xserver/hw/nxagent/Imakefile nxnode/nx-X11/programs/Xserver/hw/nxagent/Imakefile
--- nxnode.orig/nx-X11/programs/Xserver/hw/nxagent/Imakefile    2006-06-09 10:02:24.000000000 -0500
+++ nxnode/nx-X11/programs/Xserver/hw/nxagent/Imakefile 2006-07-30 10:11:09.000000000 -0500
@@ -130,14 +130,14 @@ OBJS =  NXrandr.o \
 VFBINCLUDES = -I../../fb -I../../mfb -I../../render
 NXFONTINCLUDES = -I../../../../lib/font/include
 
-INCLUDES = -I. -I../../../../../nxcomp -I../../../../../nxcompext \
+INCLUDES = -I. -I/usr/NX/include -I../../../../../nxcompext \
           -I$(XBUILDINCDIR) -I$(FONTINCSRC) \
           -I../../mi -I../../include -I../../os \
           -I../../GL/glx -I../../GL/include -I../../../../lib/GL/include -I../../Xext \
            -I$(EXTINCSRC) -I$(XINCLUDESRC) \
           $(VFBINCLUDES) $(NXFONTINCLUDES)
 #ifdef SunArchitecture
-INCLUDES = -I../../../../../nxcomp -I../../../../../nxcompext \
+INCLUDES = -I/usr/NX/include -I../../../../../nxcompext \
           -I. -I$(XBUILDINCDIR) -I$(FONTINCSRC) \
           -I/usr/sfw/include \
           -I../../mi -I../../include -I../../os \
@@ -149,7 +149,7 @@ INCLUDES = -I../../../../../nxcomp -I../
 INCLUDES = -I$(XBUILDINCDIR) -I$(FONTINCSRC) \
           -I../../mi -I../../include -I../../os \
           -I../../GL/glx -I../../GL/include -I../../../../lib/GL/include -I../../Xext \
-           -I. -I../../../../../nxcomp -I../../../../../nxcompext \
+           -I. -I/usr/NX/include -I../../../../../nxcompext \
            -I$(EXTINCSRC) -I$(XINCLUDESRC) \
           $(VFBINCLUDES) $(NXFONTINCLUDES)
 #endif
diff -purN nxnode.orig/nx-X11/programs/Xserver/os/Imakefile nxnode/nx-X11/programs/Xserver/os/Imakefile
--- nxnode.orig/nx-X11/programs/Xserver/os/Imakefile    2006-06-19 09:21:26.000000000 -0500
+++ nxnode/nx-X11/programs/Xserver/os/Imakefile 2006-07-30 10:14:29.000000000 -0500
@@ -25,7 +25,7 @@ XCOMM $Xorg: Imakefile,v 1.3 2000/08/17
 
 #if NXLibraries
 
-NX_INCLUDES = -I../../../../nxcomp
+NX_INCLUDES = -I/usr/NX/include
 
 NX_DEFINES = -DNX_TRANS_SOCKET        \
              -DNX_TRANS_AUTH          \
diff -purN nxnode.orig/nxcompext/Makefile.in nxnode/nxcompext/Makefile.in
--- nxnode.orig/nxcompext/Makefile.in   2006-07-30 14:52:35.000000000 -0700
+++ nxnode/nxcompext/Makefile.in        2006-07-30 14:58:00.000000000 -0700
@@ -31,17 +31,17 @@ CXX         = @CXX@
 CXXFLAGS    = @CXXFLAGS@ @X_CFLAGS@ @DEFS@ \
               -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
               -Wmissing-declarations -Wnested-externs -fPIC
-CXXINCLUDES = -I. -I../nxcomp
+CXXINCLUDES = -I. -I/usr/NX/include
 CXXDEFINES  =
 
 CC          = @CC@
 CCFLAGS     = @CFLAGS@ @X_CFLAGS@ @DEFS@ \
               -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
               -Wmissing-declarations -Wnested-externs -fPIC
-CCINCLUDES  = -I. -I../nxcomp
+CCINCLUDES  = -I. -I/usr/NX/include
 CCDEFINES   =
 
-LDFLAGS     = @LDFLAGS@ -L../nxcomp
+LDFLAGS     = @LDFLAGS@ -L/usr/NX/lib
 LIBS        = @LIBS@ -lz -lX11 -lXcomp
 
 #

Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Sun Jul 30, 2006 11:26 pm    Post subject: Reply with quote

You also need to do equivalent (because 'cp' is a sandbox violation) of
Code:
cp ${S}/nxcomp/NX*.h /usr/NX/include
cp ${S}/nxcomp/MD5.h /usr/NX/include
in the ebuild of nxclient-base. Otherwise no header files are found by nxnode-base.

Last edited by devsk on Mon Jul 31, 2006 3:25 am; edited 1 time in total
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Mon Jul 31, 2006 1:18 am    Post subject: Reply with quote

the patch nxdesktop-fix-nxcomp-paths.patch also needs to be changed for /usr/NX/lib to /usr/NX/include:

Code:
$ cat nxdesktop-fix-nxcomp-paths.patch
diff -purN nxnode.orig/nxdesktop/Makefile nxnode/nxdesktop/Makefile
--- nxnode.orig/nxdesktop/Makefile      2006-03-28 16:03:18.000000000 -0600
+++ nxnode/nxdesktop/Makefile   2006-07-30 11:01:29.000000000 -0500
@@ -30,8 +30,8 @@ bindir      = $(exec_prefix)/bin
 mandir      = $(prefix)/man
 datadir     = $(prefix)/share
 
-INCLUDES = -I../nxcomp -I../nxcompext -I../nxesd
-LDLIBS   = -lXpm -L../nxcompext -lXcompext -L../nxcomp -L../nxesd/.libs -lXcomp -lX11 -lXext
+INCLUDES = -I/usr/NX/include -I../nxcompext -I../nxesd
+LDLIBS   = -lXpm -L../nxcompext -lXcompext -L/usr/NX/lib -L../nxesd/.libs -lXcomp -lX11 -lXext
 VERSION     = 1.5.0-2
 KEYMAP_PATH = $(datadir)/keymaps-windows/
 
diff -purN nxnode.orig/nxdesktop/configure nxnode/nxdesktop/configure
--- nxnode.orig/nxdesktop/configure     2006-03-21 13:22:20.000000000 -0600
+++ nxnode/nxdesktop/configure  2006-07-30 11:00:31.000000000 -0500
@@ -391,7 +391,7 @@ rpath=`echo $rpath |sed 's/^://'`
 
 case `uname -s` in
   SunOS)
-    echo "INCLUDES     =  -I../nxcomp -I../nxcompext -I/usr/local/include -I/usr/sfw/include">> Makeconf
+    echo "INCLUDES     =  -I/usr/NX/include -I../nxcompext -I/usr/local/include -I/usr/sfw/include">> Makeconf
     ldflags="$ldflags -L/usr/sfw/lib -lsocket -lnsl -R$rpath"
     cflags="$cflags -DHAVE_DIRENT_H=1 -DHAVE_DECL_DIRFD=0 -DDIR_FD_MEMBER_NAME=dd_fd"
     ;;
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Mon Jul 31, 2006 1:28 am    Post subject: Reply with quote

similarly for nxviewer-fix-nxcomp-paths.patch:

Code:
$ cat nxviewer-fix-nxcomp-paths.patch
diff -purN nxnode.orig/nxviewer/nxviewer/Imakefile nxnode/nxviewer/nxviewer/Imakefile
--- nxnode.orig/nxviewer/nxviewer/Imakefile     2006-02-22 11:23:57.000000000 -0600
+++ nxnode/nxviewer/nxviewer/Imakefile  2006-07-30 11:23:53.000000000 -0500
@@ -26,8 +26,8 @@ XCOMM seems to cause problems on Digital
 DEFINES = -DMITSHM
 #endif
 
-NX_INC = -I../../nxcomp -I../../nxcompext -I../../nx-X11/exports/include
-NX_LIB = -L../../nxcomp -lXcomp -L../../nxcompext -lXcompext
+NX_INC = -I/usr/NX/include -I../../nxcompext -I../../nx-X11/exports/include
+NX_LIB = -L/usr/NX/lib -lXcomp -L../../nxcompext -lXcompext
 
 #ifdef SunArchitecture
 NX_INC += -I/usr/sfw/include -I/usr/include

Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Mon Jul 31, 2006 3:11 am    Post subject: Reply with quote

patch for nxnode-base ebuild:

Code:
$ cat /root/nxnode-base-ebuild.patch
--- nxnode-base-2.0.0.ebuild.orig       2006-07-30 15:04:10.000000000 -0700
+++ nxnode-base-2.0.0.ebuild    2006-07-30 18:57:27.000000000 -0700
@@ -75,7 +75,7 @@
 
 src_compile() {
        # builds: nxcomp, nxcompext, nx-x11, nxauth, nxagent
-       cd nx-x11
+       cd nx-X11
        emake World || die "Unable to build nx-X11"
 
        # build nxsensor
@@ -84,12 +84,12 @@
 
        # build nxspool
        cd ../nxspool/source
-       econf --prefix=/usr/NX --mandir=/usr/share/man || die "Unable to configure nxspool"
-       emake || die "Unable to build nxspool"
+       ./configure --prefix=/usr/NX || die "Unable to configure nxspool"
+       emake -j1 || die "Unable to build nxspool"
 
        # build nxuexec
        cd ../../nxuexec
-       emake || die "Unable to build nxnxuexec"
+       emake -j1 || die "Unable to build nxnxuexec"
 
        if use vnc ; then
                cd ../nxviewer
@@ -99,7 +99,7 @@
 
        if use rdesktop ; then
                cd ../nxdesktop
-               econf --prefix=/usr/NX --mandir=/usr/share/man --sharedir=/usr/share || die "Unable to configure nxdesktop"
+               ./configure --prefix=/usr/NX --mandir=/usr/share/man --sharedir=/usr/share || die "Unable to configure nxdesktop"
                emake || die "Unable to build nxdesktop"
        fi
 }
@@ -108,7 +108,7 @@
        into /usr/NX
 
        # Rename to make a wrapper later that points to /usr/NX/libs
-       newbin nx-x11/programs/Xserver/nxagent nxagent.bin
+       newbin nx-X11/programs/Xserver/nxagent nxagent.bin
        make_wrapper nxagent nxagent.bin /usr/NX/bin /usr/NX/lib /usr/NX/bin
 
        # Not needed anymore? Let's test if it's not. ;)
@@ -130,8 +130,8 @@
                make_wrapper nxdesktop nxdesktop.bin /usr/NX/bin /usr/NX/lib /usr/NX/bin
        fi
 
-       dolib.so nx-x11/lib/X11/libX11.so*
-       dolib.so nx-x11/lib/Xext/libXext.so*
-       dolib.so nx-x11/lib/Xrender/libXrender.so*
+       dolib.so nx-X11/lib/X11/libX11.so*
+       dolib.so nx-X11/lib/Xext/libXext.so*
+       dolib.so nx-X11/lib/Xrender/libXrender.so*
        dolib.so nxcompext/libXcompext.so*
 }
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Mon Jul 31, 2006 3:16 am    Post subject: Reply with quote

Thanks devsk for pointing those things out. :) I got a bit too carried away in replacing lines in a makefile with /usr/NX/lib that I forgot about the include dir. :P And I just completely forgot about the copying of header files to the include dir. That was in both old versions of nx-x11 and nxcomp and I just completely overlooked it when I made nxclient-base. :oops: Also, I had 50nxpaths fixed in nxclient but I completely forgot to fix it in nxclient-base. D'oh. So, I already saw that one. :P That is what happens with you are tired. :lol: Ah well, at least you caught them. I think I have it all right now. I will look it over after work tomorrow to double check. I know there are still a few missing things, but I want the main features teasted first. ;)

Also, if you want to check out craziness ... look at the ebuild for FreeNX in the experimental directory. ;) That is the most untested one of the bunch and it still has loads of features to add to it. :P Speaking of FreeNX, I added the checking code to nxserver-freenx-0.6.0_alpha... to see if nx 2.0.0 is installed and set the options for it. :)

To clear things up ...
1) NoMachine said that all previous installs of NX must be removed to install 2.0.0 <_< Which kinda sucks, so hence all the blockers, and there are a lot of blockers. :P I hope I have them all. Actually, I think I may even need a blocker for all versions of nxclient and below. I need to check that.
2) nx-x11 has been replaced by nxnode and yes, it does install nxagent. And yes there is a dep on nxnode in FreeNX and has been there, it's just in an "or dependency block". I moved nxnode to the top of the list so hopefully that becomes default. I was hoping that portage would use the highest version in the list, but it doesn't, it uses the first, and if the first is masked, the next, and if that is masked then the next ... you get the idea. :) So, once these ebuilds go to portage, NX will be masked, so 1.5.0 would be the default option. :)

Hope that helps. :) Again, if anyone finds any issues, please post them here. I want to try to get as many bugs squashed as possible. I don't ahve a lot of time and these ebuilds can be a pain sometimes. Also, if you have any other ideas, please let me know as well.

Cheers.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Mon Jul 31, 2006 5:24 am    Post subject: Reply with quote

ok, I finally got it going. I get my gnome or kde desktop but the screen is garbled very badly. I am not sure what is causing this. I printed 'ldd nxclient.bin' in /usr/NX/bin/nxclient and even after setting LD_LIBRARY_PATH, it gets libX11.so from /usr/lib. I don't understand why. This could be the reason for the garbled screen.

edit: I understand now. It is because /usr/NX/lib/libX11.so doesn't exist. don't I need /usr/NX/lib/libX11.so on client side as well. That would mean that I need nxnode-base installed on client as well. Is that right?
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Mon Jul 31, 2006 5:45 am    Post subject: Reply with quote

Still can't get rid of the garbled screen...:(

Nothing to do with nxclient requiring nxnode-base. It doesn't impact it.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Mon Jul 31, 2006 8:34 pm    Post subject: Reply with quote

The only option which doesn't produce a garbled screen or screen full of artifacts like botched letters, is the LAN option. All other speeds yield artifacts rendering desktop totally unuseable. I have tried disabling all image options (like xrender, composite, shm ..etc) in the GUI. Nothing helps.

My client is on xorg 7.1 and server on xorg 6.8, which could such potential issues. Another thing messed up is that the nxclient package installs differently on different X versions. It seems to use local copies of libjpeg, libpng etc. in /usr/NX/lib for older X installs. very wierd stuff.

Anybody else facing problems with screen rendering?
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Mon Jul 31, 2006 11:12 pm    Post subject: Reply with quote

devsk wrote:
ok, I finally got it going. I get my gnome or kde desktop but the screen is garbled very badly. I am not sure what is causing this. I printed 'ldd nxclient.bin' in /usr/NX/bin/nxclient and even after setting LD_LIBRARY_PATH, it gets libX11.so from /usr/lib. I don't understand why. This could be the reason for the garbled screen.

edit: I understand now. It is because /usr/NX/lib/libX11.so doesn't exist. don't I need /usr/NX/lib/libX11.so on client side as well. That would mean that I need nxnode-base installed on client as well. Is that right?
I just looked at the ebuild and I made an error. XD :oops: I have nx-x11 instead of nx-X11. D'oh! I will make this change soon. Maybe this will fix the garbled screen. Watch the SVN for changes and then remerge it. Sorry about that. *ponders* Did I have that mistake in the previous ebuilds? Maybe I should look. :P

Cheers.

EDIT: Changes made on svn.

EDIT2: Oh, I think I forgot to mention that the output from ldd should never be trusted when it comes to the nxbinaries. ;) These binaries are weird. :P
_________________
Nothing to read in this sig. Move along.


Last edited by StifflerStealth on Tue Aug 01, 2006 1:03 am; edited 1 time in total
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Tue Aug 01, 2006 1:00 am    Post subject: Reply with quote

can you please look at all the patches that I posted? one patch fixed nx-X11.
Back to top
View user's profile Send private message
StifflerStealth
Retired Dev
Retired Dev


Joined: 03 Jul 2002
Posts: 968

PostPosted: Tue Aug 01, 2006 1:08 am    Post subject: Reply with quote

devsk wrote:
can you please look at all the patches that I posted? one patch fixed nx-X11.
Oh, I didn't see that one. You posted that after I stopped reading the forums. :P And then when I reposted, I missed it.

Why are you adding in the -j1? Is there an issue with it being compiled with anything higher? Hmmm. Should I also add the -j1 option to nx-x11 as well? And why change econf to ./configure? *confused* :oops:

Cheers.
_________________
Nothing to read in this sig. Move along.
Back to top
View user's profile Send private message
devsk
Advocate
Advocate


Joined: 24 Oct 2003
Posts: 2870
Location: Bay Area, CA

PostPosted: Tue Aug 01, 2006 1:18 am    Post subject: Reply with quote

-j3 caused build failures in those places. nx-x11 builds fine with -j3.

econf failed because the package doesn't like extra options that econf passes to configure. Only in the places I modified, rest were fine.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Documentation, Tips & Tricks All times are GMT
Goto page Previous  1, 2, 3 ... 23, 24, 25 ... 28, 29, 30  Next
Page 24 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum